> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.hellosign.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.hellosign.com/_mcp/server.

# Get Fax Line

GET https://api.hellosign.com/v3/fax_line

Returns the properties and settings of a Fax Line.

Reference: https://developers.hellosign.com/api/fax-line/get

## Authentication

- `Authorization` header (basic auth, required) — Your API key can be used to make calls to the Dropbox Sign API. See [Authentication](/api/reference/authentication) for more information. ✅ Supported by Try it console (calls sent in `test_mode` only).
- `Authorization` header (bearer token, required) — You can use an Access Token issued through an OAuth flow to send calls to the Dropbox Sign API from your app. The access scopes required by this endpoint are listed in the gray box above. See [Authentication](/api/reference/authentication) for more information. ❌ **Not supported** by Try it console.

## Request

### Query parameters

- `number` (string, required) — The Fax Line number

## Response

### 200

successful operation

- `fax_line` (object, required)
  - `number` (string, optional) — Number
  - `created_at` (integer, optional) — Created at
  - `updated_at` (integer, optional) — Updated at
  - `accounts` (list of object, optional)
    - `account_id` (string, optional) — The ID of the Account
    - `email_address` (string, optional) — The email address associated with the Account.
    - `is_locked` (boolean, optional) — Returns `true` if the user has been locked out of their account by a team admin.
    - `is_paid_hs` (boolean, optional) — Returns `true` if the user has a paid Dropbox Sign account.
    - `is_paid_hf` (boolean, optional) — Returns `true` if the user has a paid HelloFax account.
    - `quotas` (object, optional) — Details concerning remaining monthly quotas.
      - `api_signature_requests_left` (integer, optional, nullable) — API signature requests remaining.
      - `documents_left` (integer, optional, nullable) — Signature requests remaining.
      - `templates_total` (integer, optional, nullable) — Total API templates allowed.
      - `templates_left` (integer, optional, nullable) — API templates remaining.
      - `sms_verifications_left` (integer, optional, nullable) — SMS verifications remaining.
      - `num_fax_pages_left` (integer, optional, nullable) — Number of fax pages left
    - `callback_url` (string, optional, nullable) — The URL that Dropbox Sign events will `POST` to.
    - `role_code` (string, optional, nullable) — The membership role for the team.
    - `team_id` (string, optional, nullable) — The id of the team account belongs to.
    - `locale` (string, optional, nullable) — The locale used in this Account. Check out the list of [supported locales](/api/reference/constants/#supported-locales) to learn more about the possible values.
    - `usage` (object, optional) — Details concerning monthly usage
      - `fax_pages_sent` (integer, optional, nullable) — Number of fax pages sent
    - `settings` (object, optional) — Subset of configured settings
      - `signer_access_codes` (boolean, optional) — Returns `true` if _Custom access codes_ is enabled in Admin Console. [Read more](https://developers.hellosign.com/docs/sms-tools/walkthrough).
      - `sms_delivery` (boolean, optional) — Returns `true` if _Text message_ is enabled in Admin Console. [Read more](https://developers.hellosign.com/docs/sms-tools/walkthrough).
      - `sms_authentication` (boolean, optional) — Returns `true` if _Signer authentication_ is enabled in Admin Console. [Read more](https://developers.hellosign.com/docs/sms-tools/walkthrough).
- `warnings` (object, optional) — A list of warnings.
  - `warning_msg` (string, required) — Warning message
  - `warning_name` (string, required) — Warning name

## Examples

**Response**

```json
{
  "fax_line": {
    "number": "[FAX_NUMBER]",
    "created_at": 1723231831,
    "updated_at": 1723231831,
    "accounts": [
      {
        "account_id": "c2e9691c85d9d6fa6ae773842e3680b2b8650f1d",
        "email_address": "me@dropboxsign.com",
        "is_locked": false,
        "is_paid_hs": false,
        "is_paid_hf": true
      }
    ]
  }
}
```

**SDK Code**

```php PHP
<?php

namespace Dropbox\SignSandbox;

require_once __DIR__ . '/../vendor/autoload.php';

use SplFileObject;
use Dropbox;

$config = Dropbox\Sign\Configuration::getDefaultConfiguration();
$config->setUsername("YOUR_API_KEY");

try {
    $response = (new Dropbox\Sign\Api\FaxLineApi(config: $config))->faxLineGet(
        number: "123-123-1234",
    );

    print_r($response);
} catch (Dropbox\Sign\ApiException $e) {
    echo "Exception when calling FaxLineApi#faxLineGet: {$e->getMessage()}";
}

```

```csharp C#
using System;
using System.Collections.Generic;
using System.IO;
using System.Text.Json;

using Dropbox.Sign.Api;
using Dropbox.Sign.Client;
using Dropbox.Sign.Model;

namespace Dropbox.SignSandbox;

public class FaxLineGetExample
{
    public static void Run()
    {
        var config = new Configuration();
        config.Username = "YOUR_API_KEY";

        try
        {
            var response = new FaxLineApi(config).FaxLineGet(
                number: "123-123-1234"
            );

            Console.WriteLine(response);
        }
        catch (ApiException e)
        {
            Console.WriteLine("Exception when calling FaxLineApi#FaxLineGet: " + e.Message);
            Console.WriteLine("Status Code: " + e.ErrorCode);
            Console.WriteLine(e.StackTrace);
        }
    }
}

```

```typescript TypeScript
import * as fs from 'fs';
import api from "@dropbox/sign"
import models from "@dropbox/sign"

const apiCaller = new api.FaxLineApi();
apiCaller.username = "YOUR_API_KEY";

apiCaller.faxLineGet(
  "123-123-1234", // number
).then(response => {
  console.log(response.body);
}).catch(error => {
  console.log("Exception when calling FaxLineApi#faxLineGet:");
  console.log(error.body);
});

```

```java Java
package com.dropbox.sign_sandbox;

import com.dropbox.sign.ApiException;
import com.dropbox.sign.Configuration;
import com.dropbox.sign.api.*;
import com.dropbox.sign.auth.*;
import com.dropbox.sign.JSON;
import com.dropbox.sign.model.*;

import java.io.File;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.OffsetDateTime;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class FaxLineGetExample
{
    public static void main(String[] args)
    {
        var config = Configuration.getDefaultApiClient();
        ((HttpBasicAuth) config.getAuthentication("api_key")).setUsername("YOUR_API_KEY");

        try
        {
            var response = new FaxLineApi(config).faxLineGet(
                "123-123-1234" // number
            );

            System.out.println(response);
        } catch (ApiException e) {
            System.err.println("Exception when calling FaxLineApi#faxLineGet");
            System.err.println("Status code: " + e.getCode());
            System.err.println("Reason: " + e.getResponseBody());
            System.err.println("Response headers: " + e.getResponseHeaders());
            e.printStackTrace();
        }
    }
}

```

```ruby Ruby
require "json"
require "dropbox-sign"

Dropbox::Sign.configure do |config|
    config.username = "YOUR_API_KEY"
end

begin
    response = Dropbox::Sign::FaxLineApi.new.fax_line_get(
        "123-123-1234", # number
    )

    p response
rescue Dropbox::Sign::ApiError => e
    puts "Exception when calling FaxLineApi#fax_line_get: #{e}"
end

```

```python Python
import json
from datetime import date, datetime
from pprint import pprint

from dropbox_sign import ApiClient, ApiException, Configuration, api, models

configuration = Configuration(
    username="YOUR_API_KEY",
)

with ApiClient(configuration) as api_client:
    try:
        response = api.FaxLineApi(api_client).fax_line_get(
            number="123-123-1234",
        )

        pprint(response)
    except ApiException as e:
        print("Exception when calling FaxLineApi#fax_line_get: %s\n" % e)

```

```go Sample Fax Line Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.hellosign.com/v3/fax_line?number=123-123-1234"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<apiKey>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```swift Sample Fax Line Response
import Foundation

let credentials = Data("<apiKey>:".utf8).base64EncodedString()

let headers = ["Authorization": "Basic \(credentials)"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.hellosign.com/v3/fax_line?number=123-123-1234")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```